# Class k.d.ConverterRegistry:

Part of kiwi.datatypes View In Hierarchy

No class docstring

Method | __init__ | Undocumented
Method | add | Adds converter_type as a new converter
Method | remove | Removes converter_type from the registry
Method | get_converter | Undocumented
Method | get_converters | Undocumented
Method | check_supported | Undocumented
Method | as_string | Convert to a string
Method | from_string | Convert from a string
Method | str_to_type | Undocumented

def __init__(self):
Undocumented
def add(self, converter_type):
Adds converter_type as a new converter

Parameters | converter_type | a `BaseConverter` subclass

def remove(self, converter_type):
Removes converter_type from the registry

Parameters | converter_type | a `BaseConverter` subclass

def get_converter(self, converter_type):
Undocumented
def get_converters(self, base_classes=None):
Undocumented
def check_supported(self, data_type):
Undocumented
def as_string(self, converter_type, value, format=None):
Convert to a string

Parameters | converter_type |
| value |
| format |

def from_string(self, converter_type, value):
Convert from a string

Parameters | converter_type |
| value |

def str_to_type(self, value):
Undocumented